/* ----------------------------------------------------------------------------
 * This file was automatically generated by SWIG (http://www.swig.org).
 * Version 3.0.12
 *
 * Do not make changes to this file unless you know what you are doing--modify
 * the SWIG interface file instead.
 * ----------------------------------------------------------------------------- */

package it.politecnico.coolprop;

public class SimpleState {
  private transient long swigCPtr;
  protected transient boolean swigCMemOwn;

  protected SimpleState(long cPtr, boolean cMemoryOwn) {
    swigCMemOwn = cMemoryOwn;
    swigCPtr = cPtr;
  }

  protected static long getCPtr(SimpleState obj) {
    return (obj == null) ? 0 : obj.swigCPtr;
  }

  protected void finalize() {
    delete();
  }

  public synchronized void delete() {
    if (swigCPtr != 0) {
      if (swigCMemOwn) {
        swigCMemOwn = false;
        CoolPropJNI.delete_SimpleState(swigCPtr);
      }
      swigCPtr = 0;
    }
  }

  public void setRhomolar(double value) {
    CoolPropJNI.SimpleState_rhomolar_set(swigCPtr, this, value);
  }

  public double getRhomolar() {
    return CoolPropJNI.SimpleState_rhomolar_get(swigCPtr, this);
  }

  public void setT(double value) {
    CoolPropJNI.SimpleState_T_set(swigCPtr, this, value);
  }

  public double getT() {
    return CoolPropJNI.SimpleState_T_get(swigCPtr, this);
  }

  public void setP(double value) {
    CoolPropJNI.SimpleState_p_set(swigCPtr, this, value);
  }

  public double getP() {
    return CoolPropJNI.SimpleState_p_get(swigCPtr, this);
  }

  public void setHmolar(double value) {
    CoolPropJNI.SimpleState_hmolar_set(swigCPtr, this, value);
  }

  public double getHmolar() {
    return CoolPropJNI.SimpleState_hmolar_get(swigCPtr, this);
  }

  public void setSmolar(double value) {
    CoolPropJNI.SimpleState_smolar_set(swigCPtr, this, value);
  }

  public double getSmolar() {
    return CoolPropJNI.SimpleState_smolar_get(swigCPtr, this);
  }

  public void setUmolar(double value) {
    CoolPropJNI.SimpleState_umolar_set(swigCPtr, this, value);
  }

  public double getUmolar() {
    return CoolPropJNI.SimpleState_umolar_get(swigCPtr, this);
  }

  public void setQ(double value) {
    CoolPropJNI.SimpleState_Q_set(swigCPtr, this, value);
  }

  public double getQ() {
    return CoolPropJNI.SimpleState_Q_get(swigCPtr, this);
  }

  public SimpleState() {
    this(CoolPropJNI.new_SimpleState(), true);
  }

  public void fill(double v) {
    CoolPropJNI.SimpleState_fill(swigCPtr, this, v);
  }

  public boolean is_valid() {
    return CoolPropJNI.SimpleState_is_valid(swigCPtr, this);
  }

}
